## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1

# prevent library files from being installed
%global cargo_install_lib 0

%global crate muvm

Name:           rust-muvm
Version:        0.3.1
Release:        %autorelease
Summary:        Run programs from your system in a microVM

License:        MIT
URL:            https://crates.io/crates/muvm
Source:         %{crates_source}
Source2:        50-muvm-access.conf
Source3:        access-muvm.lua
# * Fix ordering of erofs images
# * https://github.com/AsahiLinux/muvm/commit/9d035bc8aaea42763008fb15e370718811576d42
Patch2:         fix-ordering-erofs.patch

BuildRequires:  cargo-rpm-macros >= 26

# libkrun only supports x86_64 and aarch64
ExclusiveArch:  x86_64 aarch64

%global _description %{expand:
Run programs from your system in a microVM.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        Apache-2.0 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND MIT AND (MIT OR Apache-2.0) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

# This crate was renamed from krun to avoid a conflict with crun-krun. For
# that reason, we only set Obsoletes, not Provides, to avoid perpetuating the
# conflict. This should be removed once f42 is EOL.
Obsoletes:      krun < 0.1.0-2

# dhcpcd support is broken in upstream
# https://github.com/AsahiLinux/muvm/issues/77
Requires:       dhcp-client
Requires:       libkrun >= 1.9.8-1
Requires:       passt
Requires:       socat
Requires:       (wireplumber if pipewire)

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%{_bindir}/muvm
%{_bindir}/muvm-guest
%{_datadir}/wireplumber/wireplumber.conf.d/50-muvm-access.conf
%{_datadir}/wireplumber/scripts/client/access-muvm.lua

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
mkdir -p %{buildroot}%{_datadir}/wireplumber/wireplumber.conf.d
mkdir -p %{buildroot}%{_datadir}/wireplumber/scripts/client
cp -p %SOURCE2 %{buildroot}%{_datadir}/wireplumber/wireplumber.conf.d
cp -p %SOURCE3 %{buildroot}%{_datadir}/wireplumber/scripts/client

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Apr 06 2025 Davide Cavalca <dcavalca@fedoraproject.org> - 0.3.1-3
- Backport upstream bugfix

* Sat Mar 01 2025 Davide Cavalca <dcavalca@fedoraproject.org> - 0.3.1-2
- Tidy up the requires

* Wed Feb 19 2025 Sergio Lopez <slp@redhat.com> - 0.3.1-1
- Update to version 0.3.1

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Dec 19 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.0-3
- Remove the patch requiring an old procfs

* Sat Dec 14 2024 Asahi Lina <lina@asahilina.net> - 0.2.0-2
- Backport hotfix for muvm on GNOME (xauthority issue)

* Mon Dec 09 2024 Sergio Lopez <slp@sinrega.org> - 0.2.0-1
- Update to 0.2.0

* Mon Dec 09 2024 Sergio Lopez <slp@sinrega.org> - 0.1.4-2
- rust2rpm: disable lib and add libkrun dependency

* Wed Dec 04 2024 Sergio Lopez <slp@sinrega.org> - 0.1.4-1
- Update to 0.1.4

* Wed Oct 16 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.1.3-1
- Update to 0.1.3; Fixes: RHBZ#2319158

* Thu Oct 10 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.1.2-3
- Add rust2rpm.toml

* Thu Oct 10 2024 Teoh Han Hui <teohhanhui@gmail.com> - 0.1.2-2
- Add Requires for dhcp-client and socat

* Tue Oct 08 2024 Sergio Lopez <slp@redhat.com> - 0.1.2-1
- Update to upstream version 0.1.2

* Sat Oct 05 2024 Janne Grunau <j@jannau.net> - 0.1.1-3
- Add Requires for passt

* Fri Oct 04 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.1.1-2
- Add Requires for sommelier

* Tue Oct 01 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.1.1-1
- Initial import; Fixes: RHBZ#2315942
## END: Generated by rpmautospec
